Bug 469595 - RFE: Improve support for <othercredit>
RFE: Improve support for <othercredit>
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Content Services Development
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-02 19:11 EST by David O'Brien
Modified: 2010-11-23 22:58 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.39
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-02 19:47:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David O'Brien 2008-11-02 19:11:37 EST
Description of problem:
The use of this tag doesn't break anything, but the output needs to be improved. Currently there is no line break before <email> (or after <contrib> - I'm not sure which).

Version-Release number of selected component (if applicable):
$ rpm -qi publican
Name        : publican
Version     : 0.38
Release     : 0.el5

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  
Actual results:
FirstName LastName
Contribname@redhat.com

Expected results:
First Name
Contrib
name@redhat.com

Additional info:
Real example of expected results:

Joe Editor
Technical edit of chapters 3 and 4
jedit@mydomain.com
Comment 1 David O'Brien 2008-11-02 19:22:14 EST
A bit more info:

I tried to use this tag like so:

<othercredit class="technicaleditor">
	<firstname>Joe</firstname>
	<surname>Edit</surname>
	<contrib>Technical edit</contrib>
	<email>jedit@mydomain.com</email>
</othercredit>

I don't know if you would normally modify presentation based on class, I'm just describing how I tried to use it.
Comment 2 Jeff Fearn 2008-11-02 19:47:58 EST
Added rule for .contrib to CSS
Comment 3 Fedora Update System 2008-12-01 00:39:42 EST
publican-0.39-0.fc9,publican-fedora-0.16-0.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/publican-0.39-0.fc9,publican-fedora-0.16-0.fc9
Comment 4 Fedora Update System 2009-01-14 21:56:21 EST
publican-0.39-0.fc9, publican-fedora-0.16-0.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.